Skip to main content

Class ExecuteSqlRequest.Options

java.lang.Object
com.gpudb.protocol.ExecuteSqlRequest.Options
Enclosing class:

public static final class ExecuteSqlRequest.Options extends Object
A set of string constants for the ExecuteSqlRequest parameter options.

Optional parameters.

  • Field Details

    • COST_BASED_OPTIMIZATION

      public static final String COST_BASED_OPTIMIZATION
      If FALSE, disables the cost-based optimization of the given query. Supported values:The default value is FALSE.
    • TRUE

      public static final String TRUE
    • FALSE

      public static final String FALSE
    • DISTRIBUTED_JOINS

      public static final String DISTRIBUTED_JOINS
      If TRUE, enables the use of distributed joins in servicing the given query. Any query requiring a distributed join will succeed, though hints can be used in the query to change the distribution of the source data to allow the query to succeed. Supported values:The default value is FALSE.
    • DISTRIBUTED_OPERATIONS

      public static final String DISTRIBUTED_OPERATIONS
      If TRUE, enables the use of distributed operations in servicing the given query. Any query requiring a distributed join will succeed, though hints can be used in the query to change the distribution of the source data to allow the query to succeed. Supported values:The default value is FALSE.
    • IGNORE_EXISTING_PK

      public static final String IGNORE_EXISTING_PK
      Specifies the record collision error-suppression policy for inserting into or updating a table with a primary key, only used when primary key record collisions are rejected (UPDATE_ON_EXISTING_PK is FALSE). If set to TRUE, any record insert/update that is rejected for resulting in a primary key collision with an existing table record will be ignored with no error generated. If FALSE, the rejection of any insert/update for resulting in a primary key collision will cause an error to be reported. If the specified table does not have a primary key or if UPDATE_ON_EXISTING_PK is TRUE, then this option has no effect. Supported values:
      • TRUE: Ignore inserts/updates that result in primary key collisions with existing records.
      • FALSE: Treat as errors any inserts/updates that result in primary key collisions with existing records.
      The default value is FALSE.
    • LATE_MATERIALIZATION

      public static final String LATE_MATERIALIZATION
      If TRUE, Joins/Filters results will always be materialized ( saved to result tables format). Supported values:The default value is FALSE.
    • PAGING_TABLE

      public static final String PAGING_TABLE
      When specified (or PAGING_TABLE_TTL is set), the system will create a paging table to hold the results of the query, when the output has more records than are in the response (i.e., when hasMoreRecords is TRUE). If the specified paging table exists, the records from the paging table are returned without re-evaluating the query. It is the caller’s responsibility to clear the pagingTable and other tables in the RESULT_TABLE_LIST (both returned in the response) when they are done with this query.
    • PAGING_TABLE_TTL

      public static final String PAGING_TABLE_TTL
      Sets the TTL of the paging table. -1 indicates no timeout. Setting this option will cause a paging table to be generated when needed. The pagingTable and other tables in the RESULT_TABLE_LIST (both returned in the response) will be automatically cleared after the TTL expires, if set to a positive number. However, it is still recommended that the caller clear these tables when they are done with this query.
    • PARALLEL_EXECUTION

      public static final String PARALLEL_EXECUTION
      If FALSE, disables the parallel step execution of the given query. Supported values:The default value is TRUE.
    • PLAN_CACHE

      public static final String PLAN_CACHE
      If FALSE, disables plan caching for the given query. Supported values:The default value is TRUE.
    • PREPARE_MODE

      public static final String PREPARE_MODE
      If TRUE, compiles a query into an execution plan and saves it in query cache. Query execution is not performed and an empty response will be returned to user. Supported values:The default value is FALSE.
    • PRESERVE_DICT_ENCODING

      public static final String PRESERVE_DICT_ENCODING
      If TRUE, then columns that were dict encoded in the source table will be dict encoded in the projection table. Supported values:The default value is TRUE.
    • QUERY_PARAMETERS

      public static final String QUERY_PARAMETERS
      Query parameters in JSON array or arrays (for inserting multiple rows). This can be used instead of data and requestSchemaStr.
    • RESULTS_CACHING

      public static final String RESULTS_CACHING
      If FALSE, disables caching of the results of the given query. Supported values:The default value is TRUE.
    • RULE_BASED_OPTIMIZATION

      public static final String RULE_BASED_OPTIMIZATION
      If FALSE, disables rule-based rewrite optimizations for the given query. Supported values:The default value is TRUE.
    • SSQ_OPTIMIZATION

      public static final String SSQ_OPTIMIZATION
      If FALSE, scalar subqueries will be translated into joins. Supported values:The default value is TRUE.
    • TTL

      public static final String TTL
      Sets the TTL of the intermediate result tables used in query execution.
    • UPDATE_ON_EXISTING_PK

      public static final String UPDATE_ON_EXISTING_PK
      Specifies the record collision policy for inserting into or updating a table with a primary key. If set to TRUE, any existing table record with primary key values that match those of a record being inserted or updated will be replaced by that record. If set to FALSE, any such primary key collision will result in the insert/update being rejected and the error handled as determined by IGNORE_EXISTING_PK. If the specified table does not have a primary key, then this option has no effect. Supported values:
      • TRUE: Replace the collided-into record with the record inserted or updated when a new/modified record causes a primary key collision with an existing record.
      • FALSE: Reject the insert or update when it results in a primary key collision with an existing record.
      The default value is FALSE.
    • VALIDATE_CHANGE_COLUMN

      public static final String VALIDATE_CHANGE_COLUMN
      When changing a column using alter table, validate the change before applying it. If TRUE, then validate all values. A value too large (or too long) for the new type will prevent any change. If FALSE, then when a value is too large or long, it will be truncated. Supported values:The default value is TRUE.
    • CURRENT_SCHEMA

      public static final String CURRENT_SCHEMA
      Use the supplied value as the default schema when processing this SQL command.